/**
 * @file
 * Contact Us.
 */

.contact__us__block {
  margin: rem(-50) 0 rem(50);

  @include relative(z-index 1);

  &__items {
    margin-bottom: rem(50);

    @include flex();
  }

  &__inner {
    text-align: center;
    flex-direction: column;
    background-color: $white;
    border-top: rem(2) solid $yellow;
    -webkit-box-shadow: 0px 2px 20px -2px rgba(0,0,0,0.46);
    -moz-box-shadow: 0px 2px 20px -2px rgba(0,0,0,0.46);
    box-shadow: 0px 2px 20px -2px rgba(0,0,0,0.46);

    @include flex();
    @include border-radius(5px);

    i {
      width: rem(60);
      height: rem(60);
      padding: rem(5);
      color: $yellow;
      background-color: $white;
      margin: rem(-26) auto rem(5);
      border-top: rem(2) solid $yellow;

      @include border-radius(50%);
      @include fontSize(26);
      @include flex(center, center);
    }
  }

  &--content {
    margin: auto;
    padding: rem(15);

    ul {
      padding: 0;
      margin: 0;
      list-style: none;

      span {
        text-decoration: underline;
      }
    }

    p {
      &:not(:last-child) {
        margin-bottom: rem(10);
        padding-bottom: rem(10);
        border-bottom: 1px solid rgba($black,0.2);
      }

      &:last-child {
        margin: 0;
      }
    }
  }
}

.contact__form {
  padding: rem(50) 0;
  background-image: url(../images/contact-us.jpg);

  @include bg-cover;
  @include relative(z-index 1);

  &:after {
    content: '';
    width: 100%;
    height: 100%;
    opacity: 0.4;
    background: $blue;

    @include absolute(top 0 z-index -1);
  }

  h2 {
    color: $white;
    font-weight: 600;
    margin-bottom: rem(25);
    text-transform: capitalize;
    &:after {
      content: '';
      width: rem(50);
      background-color: $white;
      height: rem(5);
      display: block;
      margin: rem(8) 0;
    }
  }

  form {
    padding: rem(25);
    background-color: rgba($white, 0.8);
    -webkit-box-shadow: 0px 2px 20px -2px rgba(0, 0, 0, 0.46);
    -moz-box-shadow: 0px 2px 20px -2px rgba(0, 0, 0, 0.46);
    box-shadow: 0px 2px 20px -2px rgba(0, 0, 0, 0.46);

    @include border-radius(5px);
  }

  .js-form-item {
    margin-bottom: rem(15);

    label {
      margin-bottom: 0;

      @include fontSize(15);
    }
  }

  input {
    &[type="email"],
    &[type="text"],
    &[type="tel"] {
      width: 100%;
      outline: none;
      height: rem(40);
      border-radius: 0;
      padding: rem(10) rem(15);
      border: 1px solid rgba($dark-blue, 0.6);

      @include fontSize(14);
    }

    &[type="submit"] {
      height: rem(40);
      width: rem(250);
      background: $yellow;
      border: none;
      color: $white;
      margin-left: auto;
      display: block;
      max-width: 100%;

      @include transition(all 0.5s);

      &:hover,
      &:focus,
      &:active {
        outline: none;
        background: rgba($yellow,0.8);
      }
    }
  }

  textarea {
    width: 100%;
    resize: none;
    height: rem(150);
    border-radius: 0;
    padding: rem(10) rem(15);
    border: 1px solid rgba($dark-blue, 0.6);

    &:focus {
      outline: none;
    }
  }
}